Bug 968005 - [abrt] control-center-3.8.2-1.fc19: vasprintf: Process /usr/bin/gnome-control-center was killed by signal 11 (SIGSEGV)
[abrt] control-center-3.8.2-1.fc19: vasprintf: Process /usr/bin/gnome-control...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: control-center (Show other bugs)
19
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Control Center Maintainer
Fedora Extras Quality Assurance
abrt_hash:70fb5e655d5b32fe12f18bf3f1c...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-28 14:46 EDT by Dario Castellarin
Modified: 2015-02-17 10:22 EST (History)
12 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-17 10:22:05 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (1.24 MB, text/plain)
2013-05-28 14:47 EDT, Dario Castellarin
no flags Details
File: cgroup (140 bytes, text/plain)
2013-05-28 14:47 EDT, Dario Castellarin
no flags Details
File: dso_list (24.32 KB, text/plain)
2013-05-28 14:47 EDT, Dario Castellarin
no flags Details
File: environ (1.37 KB, text/plain)
2013-05-28 14:47 EDT, Dario Castellarin
no flags Details
File: limits (1.29 KB, text/plain)
2013-05-28 14:47 EDT, Dario Castellarin
no flags Details
File: maps (116.66 KB, text/plain)
2013-05-28 14:47 EDT, Dario Castellarin
no flags Details
File: open_fds (944 bytes, text/plain)
2013-05-28 14:47 EDT, Dario Castellarin
no flags Details
File: proc_pid_status (939 bytes, text/plain)
2013-05-28 14:47 EDT, Dario Castellarin
no flags Details
File: var_log_messages (8.03 KB, text/plain)
2013-05-28 14:47 EDT, Dario Castellarin
no flags Details

  None (edit)
Description Dario Castellarin 2013-05-28 14:46:15 EDT
Description of problem:
Trying to setup a bluetooth headset (Motorola S305) I cannot set it in A2DP mode

Version-Release number of selected component:
control-center-3.8.2-1.fc19

Additional info:
reporter:       libreport-2.1.4
backtrace_rating: 4
cmdline:        gnome-control-center sound
core_backtrace: 
crash_function: vasprintf
executable:     /usr/bin/gnome-control-center
kernel:         3.9.2-301.fc19.x86_64
runlevel:       N 5
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #2 vasprintf at /usr/include/bits/stdio2.h:210
 #3 g_vasprintf at gprintf.c:314
 #4 g_strdup_vprintf at gstrfuncs.c:517
 #7 active_input_update at gvc-mixer-dialog.c:830
 #8 on_control_active_input_update at gvc-mixer-dialog.c:1250
 #9 g_cclosure_marshal_VOID__UINTv at gmarshal.c:484
 #10 _g_closure_invoke_va at gclosure.c:840
 #13 gvc_mixer_control_set_default_source at gvc-mixer-control.c:357
 #14 gvc_mixer_control_change_input at gvc-mixer-control.c:705
 #15 on_input_selection_changed at gvc-mixer-dialog.c:1445

Potential duplicate: bug 879242
Comment 1 Dario Castellarin 2013-05-28 14:47:01 EDT
Created attachment 754040 [details]
File: backtrace
Comment 2 Dario Castellarin 2013-05-28 14:47:05 EDT
Created attachment 754041 [details]
File: cgroup
Comment 3 Dario Castellarin 2013-05-28 14:47:10 EDT
Created attachment 754042 [details]
File: dso_list
Comment 4 Dario Castellarin 2013-05-28 14:47:14 EDT
Created attachment 754043 [details]
File: environ
Comment 5 Dario Castellarin 2013-05-28 14:47:18 EDT
Created attachment 754044 [details]
File: limits
Comment 6 Dario Castellarin 2013-05-28 14:47:26 EDT
Created attachment 754045 [details]
File: maps
Comment 7 Dario Castellarin 2013-05-28 14:47:30 EDT
Created attachment 754046 [details]
File: open_fds
Comment 8 Dario Castellarin 2013-05-28 14:47:34 EDT
Created attachment 754047 [details]
File: proc_pid_status
Comment 9 Dario Castellarin 2013-05-28 14:47:38 EDT
Created attachment 754048 [details]
File: var_log_messages
Comment 10 Zeeshan Ali 2013-05-30 11:20:19 EDT
I tried to choose my bluetooth headset

reporter:       libreport-2.1.4
backtrace_rating: 4
cmdline:        gnome-control-center sound
core_backtrace: 
crash_function: vasprintf
executable:     /usr/bin/gnome-control-center
kernel:         3.9.4-300.fc19.x86_64
package:        control-center-3.8.2-1.fc19
reason:         Process /usr/bin/gnome-control-center was killed by signal 11 (SIGSEGV)
runlevel:       N 5
uid:            500
Comment 11 Adam DiFrischia 2013-06-08 06:50:13 EDT
Using an external USB mixer, Behringer Xenyx 1204USB, which provides a set of inputs and outputs over USB. When opening GNOME control center's sound config panel, and selecting the USB mixer's input device as system default, it crashes.

lsusb: Bus 003 Device 002: ID 08bb:2902 Texas Instruments PCM2902 Audio Codec

reporter:       libreport-2.1.4
backtrace_rating: 4
cmdline:        gnome-control-center sound
core_backtrace: 
crash_function: vasprintf
executable:     /usr/bin/gnome-control-center
kernel:         3.9.4-301.fc19.x86_64
package:        control-center-3.8.2-1.fc19
reason:         Process /usr/bin/gnome-control-center was killed by signal 11 (SIGSEGV)
runlevel:       unknown
uid:            1000
Comment 12 Kevin R. Porter 2013-06-17 18:12:35 EDT
select "settings" from user menu.... "settings" starts normally... select "sound" from settings window ... couple seconds later the window vanishes (killed by signal 11)
Please note: this machine has a pair of Alesis M1Active 320 USB speakers, and sound does work, but can not access sound settings.

reporter:       libreport-2.1.5
backtrace_rating: 4
cmdline:        gnome-control-center --overview
crash_function: vasprintf
executable:     /usr/bin/gnome-control-center
kernel:         3.9.5-301.fc19.x86_64
package:        control-center-3.8.3-1.fc19
reason:         Process /usr/bin/gnome-control-center was killed by signal 11 (SIGSEGV)
runlevel:       N 5
uid:            1000
Comment 13 Igor Gnatenko 2013-06-24 14:37:15 EDT
1. Connect bluetooth headphones.
2. Open sound settings in michrophone tab.
3. Crash.

reporter:       libreport-2.1.5
backtrace_rating: 4
cmdline:        gnome-control-center sound
core_backtrace: 
crash_function: vasprintf
executable:     /usr/bin/gnome-control-center
kernel:         3.9.6-301.fc19.x86_64
package:        control-center-3.8.3-1.fc19
reason:         Process /usr/bin/gnome-control-center was killed by signal 11 (SIGSEGV)
runlevel:       N 5
uid:            1000
Comment 14 Renich Bon Ciric 2013-08-05 13:15:17 EDT
Connected Behringer 1204USB mixer via USB. When tried to select that device from the GNOME mixer, it crashes.
Comment 15 code 2014-01-10 09:32:33 EST
Another user experienced a similar problem:

Open sound settings from panel volume control icon. Switch to “Input” tab and click “M-Audio Delta Audiophile 2496 Analog Stereo.”

reporter:       libreport-2.1.10
backtrace_rating: 4
cmdline:        gnome-control-center sound
crash_function: vasprintf
executable:     /usr/bin/gnome-control-center
kernel:         3.12.5-200.fc19.x86_64
package:        control-center-3.8.5-1.fc19
reason:         gnome-control-center killed by SIGSEGV
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 16 Fedora End Of Life 2015-01-09 13:14:35 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 17 Fedora End Of Life 2015-02-17 10:22:05 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.